## Create Currency

### cURL

```
curl --request POST \
  --url https://api.m3ter.com/organizations/{orgId}/picklists/currency \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "version": 123,
  "code": "code",
  "archived": true,
  "maxDecimalPlaces": 2
}
'
```

### Python

```
import requests

url = "https://api.m3ter.com/organizations/{orgId}/picklists/currency"

payload = {
    "name": "<string>",
    "version": 123,
    "code": "code",
    "archived": True,
    "maxDecimalPlaces": 2
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

### JavaScript

```
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    name: '<string>',
    version: 123,
    code: 'code',
    archived: true,
    maxDecimalPlaces: 2
  })
};

fetch('https://api.m3ter.com/organizations/{orgId}/picklists/currency', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```


```

### Response

#### Success Response (200)
```
{
  "id": "<string>",
  "version": 123,
  "code": "<string>",
  "name": "<string>",
  "archived": true,
  "maxDecimalPlaces": 123,
  "dtCreated": "2023-11-07T05:31:56Z",
  "dtLastModified": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "lastModifiedBy": "<string>"
}
```

#### Error Responses

1. 4XX
```
{
  "message": "<string>"
}
```

2. 5XX
```
{
  "message": "<string>"
}
```

### Authorizations

#### Authorization
- **Type:** `string`
- **Location:** header
- **Required:** Yes
- m3ter supports machine to machine authentication using the `clientCredentials` OAuth2 flow.
- The `authorizationCode` flow controls access for human users via the m3ter Console application.

### Path Parameters

| Parameter | Type   | Description |
|-----------|--------|-------------|
| orgId     | string | Required; The unique identifier (UUID) for your Organization. The Organization represents your company as a direct customer of our service. |

### Body
| Field             | Type   | Description  |
|-------------------|--------|--------------|
| name              | string | Required; The name of the entity. Required string length: `1 - 200` |
| version           | integer<int64> | The version number of the entity. Do not use for Create.|
| code              | string | The short code for the entity. Maximum string length: `80`. Pattern: `^[\p{L}$_][\p{L}$_0-9]*$` |
| archived          | boolean | TRUE/FALSE indicating whether the entity is archived. |
| maxDecimalPlaces  | integer<int32> | Indicates the maximum number of decimal places to use for this Currency. Required range: `0 <= x <= 5` |

### Response Fields
| Field          | Type   | Description  |
|-----------------|--------|--------------|
| id              | string | The UUID of the entity. |
| version         | integer<int64> | The version number: set at 1 for new entity. |
| code            | string | The short code of the data entity. |
| name            | string | The name of the data entity. |
| archived        | boolean | TRUE/FALSE flag indicating whether the data entity is archived. |
| maxDecimalPlaces | integer<int32> | Maximum number of decimal places. |
| dtCreated       | string<date-time> | The date and time when the Currency was created. |
| dtLastModified  | string<date-time> | When the Currency was last modified. |
| createdBy       | string | The unique identifier (UUID) of the user who created this Currency. |
| lastModifiedBy  | string | The unique identifier (UUID) of the user who last modified this Currency. |
